=== debian/changelog ===
lomiri-download-manager (0.2.1-3build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:12:51 +0200

lomiri-download-manager (0.2.1-3build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:26 +0200

lomiri-download-manager (0.2.1-3) unstable; urgency=medium

  * debian/rules:
    + Re-enable tests on mips64el.
    + Build with -DENABLE_WERROR=OFF. (Closes: #1102528).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Apr 2025 06:24:51 +0200

lomiri-download-manager (0.2.1-2) unstable; urgency=medium

  * debian/rules:
    + Re-order build, test and install. Qt6 first, then Qt5. Esp. important for
      dh_auto_install.
    + Drop QT_SELECT variable.
    + Support skipping tests on selected architecture based on Qt version. If
      tests are skipped, don't even build the test code.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Apr 2025 00:13:35 +0200

lomiri-download-manager (0.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0002_CMake-Also-build-Lomiri.DownloadManager-QML-module-a.patch.
      Applied upstream.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 04 Apr 2025 14:13:05 +0200

lomiri-download-manager (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_use-CMAKE_FULL_INSTALL-variables.patch. Applied upstream.
    + Add 0002_CMake-Also-build-Lomiri.DownloadManager-QML-module-a.patch.
      Also build QML Lomiri.DownloadManger module for Qt6.
  * debian/:
    + Introduce building parts of lomiri-download-manager as Qt6 variants.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Apr 2025 17:14:58 +0200
