=== debian/control ===
Source: lomiri-download-manager
Section: net
Priority: optional
Build-Depends: cmake,
               cmake-extras (>= 1.5-7~),
               dpkg-dev (>= 1.22.5),
               debhelper-compat (= 13),
               dh-apparmor,
               doxygen,
               dbus-test-runner,
               googletest,
               graphviz,
               libapparmor-dev,
               libboost-log-dev,
               libboost-program-options-dev,
               libdbus-1-dev,
               libqt5sql5-sqlite,
               libqt6sql6-sqlite,
               liblomiri-api-dev (>= 0.1.1),
               libgoogle-glog-dev,
               libgtest-dev (>= 1.10.0.20201025-1~),
               pkg-config,
               python3,
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-declarative-dev,
               qt6-scxml-dev,
               qml6-module-qttest,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qttools5-dev-tools,
               qml-module-qttest,
               network-manager,
               rdfind,
               symlinks,
               systemd-dev,
               xvfb,
               xauth,
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <mariogrip@debian.org>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-download-manager/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-download-manager.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-download-manager/

Package: libldm-common0t64
Provides: ${t64:Provides}
Replaces: libldm-common0
Breaks: libldm-common0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-download-manager-common (>= ${source:Version}),
Description: Lomiri Upload/Download Manager - shared library (Qt5)
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes the common shared library, shared between the
 client lib and the service lib.
 .
 Qt5 version of the ldm-common shared library.

Package: libldm-common-qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-download-manager-common (>= ${source:Version}),
Description: Lomiri Upload/Download Manager - shared library (Qt6)
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes the common shared library, shared between the
 client lib and the service lib.
 .
 Qt6 version of the ldm-common shared library.

Package: libldm-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common0t64 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: Lomiri Upload/Download Manager - development files (Qt5)
 Lomiri Uploadi/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains the common headers, shared between the client
 library and the daemon library.
 .
 Qt5 version of the LDM priv-common development files.

Package: libldm-common-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-qt6-0 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Lomiri Upload/Download Manager - development files (Qt6)
 Lomiri Uploadi/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains the common headers, shared between the client
 library and the daemon library.
 .
 Qt6 version of the LDM priv-common development files.

Package: libldm-priv-common0t64
Provides: ${t64:Provides}
Replaces: libldm-priv-common0
Breaks: libldm-priv-common0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common0t64 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
Description: Lomiri Upload/Download Manager - shared private library (Qt5)
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes an auxiliary shared (but private) library.
 .
 Qt5 version of the LDM priv-common development files.

Package: libldm-priv-common-qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common-qt6-0 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
Description: Lomiri Upload/Download Manager - shared private library (Qt6)
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes an auxiliary shared (but private) library.
 .
 Qt6 version of the LDM priv-common development files.

Package: liblomiri-download-manager-common0t64
Provides: ${t64:Provides}
Replaces: liblomiri-download-manager-common0
Breaks: liblomiri-download-manager-common0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: libldm-common0t64 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt5 library for Lomiri Download Manager - common shared library
 Lomiri Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes the common shared library between the client lib
 and the service lib.
 .
 Qt5 version of the LDM common development files.

Package: liblomiri-download-manager-common-qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: libldm-common-qt6-0 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt6 library for Lomiri Download Manager - common shared library
 Lomiri Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes the common shared library between the client lib
 and the service lib.
 .
 Qt6 version of the LDM common development files.

Package: liblomiri-download-manager-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-dev (= ${binary:Version}),
         liblomiri-download-manager-common0t64 (= ${binary:Version}),
         ${misc:Depends},
Description: Qt5 library for Lomiri Download Manager - common development files
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains the common headers shared between the client
 library and the daemon library.
 .
 Qt5 version of the LDM client development files.

Package: liblomiri-download-manager-common-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-qt6-dev (= ${binary:Version}),
         liblomiri-download-manager-common-qt6-0 (= ${binary:Version}),
         ${misc:Depends},
Description: Qt6 library for Lomiri Download Manager - common development files
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains the common headers shared between the client
 library and the daemon library.
 .
 Qt6 version of the LDM client development files.

Package: liblomiri-download-manager-client0t64
Provides: ${t64:Provides}
Replaces: liblomiri-download-manager-client0
Breaks: liblomiri-download-manager-client0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common0t64 (= ${binary:Version}),
         liblomiri-download-manager-common0t64 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
Description: Qt5 library for Lomiri Download Manager - shared client library
 Lomiri Download Manager performs downloads from a centralized location.
 .
 This package includes the public shared library providing the API
 for implementing a service client.
 .
 Qt5 version of the LDM client development files.

Package: liblomiri-download-manager-client-qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common-qt6-0 (= ${binary:Version}),
         liblomiri-download-manager-common-qt6-0 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
Description: Qt6 library for Lomiri Download Manager - shared client library
 Lomiri Download Manager performs downloads from a centralized location.
 .
 This package includes the public shared library providing the API
 for implementing a service client.
 .
 Qt6 version of the LDM client development files.

Package: liblomiri-download-manager-client-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-dev (= ${binary:Version}),
         liblomiri-download-manager-common-dev (= ${binary:Version}),
         liblomiri-download-manager-client0t64 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Breaks: lomiri-download-manager-client-dev
Replaces: lomiri-download-manager-client-dev
Description: Qt5 library for Lomiri Download Manager - client development files
 Lomiri Download Manager performs downloads from a centralized location.
 .
 This package contains the header that can be used to allow an
 application use the Lomiri Download Manager client library.
 .
 Qt5 version of the LDM client development files.

Package: liblomiri-download-manager-client-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-qt6-dev (= ${binary:Version}),
         liblomiri-download-manager-common-qt6-dev (= ${binary:Version}),
         liblomiri-download-manager-client-qt6-0 (= ${binary:Version}),
         qt6-base-dev,
         ${shlibs:Depends},
         ${misc:Depends},
Description: Qt6 library for Lomiri Download Manager - client development files
 Lomiri Download Manager performs downloads from a centralized location.
 .
 This package contains the header that can be used to allow an
 application use the Lomiri Download Manager client library.
 .
 Qt6 version of the LDM client development files.

Package: liblomiri-download-manager-client-doc
Section: doc
Architecture: all
Multi-Arch: no
Depends: liblomiri-download-manager-client-dev (>= ${source:Version}),
         ${misc:Depends},
Description: QT library for Lomiri Download Manager - client documentation files
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 Documentation files for the LDM client development.

Package: liblomiri-upload-manager-common0t64
Provides: ${t64:Provides}
Replaces: liblomiri-upload-manager-common0
Breaks: liblomiri-upload-manager-common0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: libldm-common0t64 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: QT library for Lomiri Upload Manager - shared common library
 Lomiri Upload Manager performs uploads from a centralized location.
 .
 This package includes the common shared library between the client lib
 and the service lib.

Package: liblomiri-upload-manager-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-dev (= ${binary:Version}),
         liblomiri-upload-manager-common0t64 (= ${binary:Version}),
         qtbase5-dev,
         ${shlibs:Depends},
         ${misc:Depends},
Description: QT library for Lomiri Upload Manager - common development files
 Lomiri Upload Manager performs uploads from a centralized location.
 .
 This package contains the common headers shared between the client
 library and the daemon library.

Package: lomiri-download-manager
