## lomiri-download-manager 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-download-manager VERSION 0.2.1 LANGUAGES CXX)
+project(lomiri-download-manager VERSION 0.2.2 LANGUAGES CXX)
 
 option(ENABLE_UBUNTU_COMPAT "Enable Ubuntu.DownloadManager QML compatibility layer (Qt5-only)" OFF)
 option(ENABLE_DOC "Build documentation" ON)
