=== po/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
                           --from-code=UTF-8
                           --c++ --qt --add-comments=TRANSLATORS
                           --keyword=_
-                          -j
                           --package-name=lomiri-download-manager
                           --copyright-holder='Canonical Ltd.'
                           ${I18N_CPP_SRC_FILES})
