=== src/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Manuel de la Peña <manuel.delapena@canonical.com>

add_subdirectory(common)
add_subdirectory(downloads)

# Below parts of LDM are not required by Morph Browser Qt6 (first app to be ported to Qt6),
# so skip Qt6-porting of below LDM parts for now.
if (NOT ENABLE_QT6)
    add_subdirectory(extractor)
    add_subdirectory(uploads)
endif ()
