=== debian/changelog ===
lomiri-download-manager (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + In B-D:, switch from pkg-config to pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Sep 2025 08:17:01 +0200
