=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                liblomiri-api-dev (>= 0.1.1),
                libgoogle-glog-dev,
                libgtest-dev (>= 1.10.0.20201025-1~),
-               pkg-config,
+               pkgconf,
                python3,
                qt6-base-dev,
                qt6-base-dev-tools,
