=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DPKG_GENSYMBOLS_CHECK_LEVEL=4

include /usr/share/dpkg/architecture.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILDHOME=$(CURDIR)/debian/build

# Skip tests on architectures where tests are being flaky, timeout, etc.
TESTSKIP_ARCHITECTURES_QT6 :=
TESTSKIP_ARCHITECTURES_QT5 :=

CONFIGURE_OPTS_QT5 := -DENABLE_QT6=OFF -DENABLE_DOC=ON  -DENABLE_WERROR=OFF
CONFIGURE_OPTS_QT6 := -DENABLE_QT6=ON  -DENABLE_DOC=OFF -DENABLE_WERROR=OFF

ifeq (,$(filter $(DEB_HOST_ARCH),$(TESTSKIP_ARCHITECTURES_QT5)))
    CONFIGURE_OPTS_QT5 += -DBUILD_TESTING=ON
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(TESTSKIP_ARCHITECTURES_QT6)))
    CONFIGURE_OPTS_QT6 += -DBUILD_TESTING=ON
endif

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rfv $(BUILDHOME)
	rm -fv results.txt

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt6 --buildsystem=cmake -- $(CONFIGURE_OPTS_QT6) -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/$(DEB_HOST_MULTIARCH) -DENABLE_UBUNTU_COMPAT=OFF
	dh_auto_configure --builddirectory=build-qt5 --buildsystem=cmake -- $(CONFIGURE_OPTS_QT5) -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/$(DEB_HOST_MULTIARCH) -DENABLE_UBUNTU_COMPAT=OFF

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt6 --buildsystem=cmake
	dh_auto_build --builddirectory=build-qt5 --buildsystem=cmake

override_dh_auto_test:
	mkdir -p $(BUILDHOME)
ifeq (,$(filter $(DEB_HOST_ARCH),$(TESTSKIP_ARCHITECTURES_QT6)))
#	HOME=$(BUILDHOME) xvfb-run -a dh_auto_test --builddirectory=build-qt6 --buildsystem=cmake
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(TESTSKIP_ARCHITECTURES_QT5)))
	HOME=$(BUILDHOME) xvfb-run -a dh_auto_test --builddirectory=build-qt5 --buildsystem=cmake
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt6 --buildsystem=cmake
	dh_auto_install --builddirectory=build-qt5 --buildsystem=cmake
	rm -v debian/tmp/usr/lib/*/libldm-priv-common.so
	rm -v debian/tmp/usr/lib/*/libldm-priv-common-qt6.so

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-qt6 --buildsystem=cmake
	dh_auto_clean --builddirectory=build-qt5 --buildsystem=cmake

override_dh_install:
	# liblomiri-download-manager-client-doc
	mkdir -p "$(CURDIR)/debian/tmp/usr/share/doc/liblomiri-download-manager-client-doc/"
	mv $(CURDIR)/debian/tmp/usr/share/doc/lomiri-download-manager/cpp/* $(CURDIR)/debian/tmp/usr/share/doc/liblomiri-download-manager-client-doc/
	find "$(CURDIR)/debian/tmp/usr/share/doc/liblomiri-download-manager-client-doc/" -name *.md5 -delete
	rdfind -makesymlinks true "$(CURDIR)/debian/tmp/usr/share/doc/liblomiri-download-manager-client-doc/"
	symlinks -rc "$(CURDIR)/debian/tmp/usr/share/doc/liblomiri-download-manager-client-doc/"
	# qml-module-lomiri-downloadmanager
	mkdir -p "$(CURDIR)/debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/"
	mv $(CURDIR)/debian/tmp/usr/share/doc/lomiri-download-manager/qml/* $(CURDIR)/debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/
	find "$(CURDIR)/debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/" -name *.md5 -delete
	rdfind -makesymlinks true "$(CURDIR)/debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/"
	symlinks -rc "$(CURDIR)/debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/"
	# this directory is empty...
	rmdir debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/html/images/
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installdeb:
	dh_apparmor --profile-name=usr.lib.lomiri-download-manager.ldm-extractor -plomiri-download-manager
	dh_installdeb

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
